
QGIS Application - Bug report #4940

Create GRASS location takes the extent from the canvas, not reprojecting it

2012-02-03 02:34 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 14738

Description

When creating a new GRASS location, it is quite handy to take the extent from the QGIS canvas. However, if the region is created in a

different CRS, the extent is not reprojected, thus the creation results in an error.

Looks an easy fix (just reproject the canvas Bounding Box before passing it to GRASS).

History

#1 - 2012-09-04 12:10 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2014-06-28 07:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#3 - 2015-11-13 07:16 AM - Radim Blazek

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in commit:04f321647, see also #13784.
